import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        "srfkey": "SysOperator",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"",
        "appdedataset":"",
        "items": []
    },
    {
        srfkey: 'BCWFSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '拟稿',
                text: '拟稿',
                value: '10',
                disabled: false,
            },
            {
                id: '20',
                label: '审批中',
                text: '审批中',
                value: '20',
                disabled: false,
            },
            {
                id: '30',
                label: '已完成',
                text: '已完成',
                value: '30',
                disabled: false,
            },
            {
                id: '40',
                label: '已取消',
                text: '已取消',
                value: '40',
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'SBLX',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '类型一',
                text: '类型一',
                value: '10',
                disabled: false,
            },
            {
                id: '20',
                label: '类型二',
                text: '类型二',
                value: '20',
                disabled: false,
            },
            {
                id: '30',
                label: '类型三',
                text: '类型三',
                value: '30',
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'SBLB',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '类别一',
                text: '类别一',
                value: '10',
                disabled: false,
            },
            {
                id: '20',
                label: '类别二',
                text: '类别二',
                value: '20',
                disabled: false,
            },
            {
                id: '30',
                label: '类别三',
                text: '类别三',
                value: '30',
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'YesNo1',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '是',
                text: '是',
                value: 1,
                disabled: false,
            },
            {
                id: '0',
                label: '否',
                text: '否',
                value: 0,
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'HJCD',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '一般',
                text: '一般',
                value: '10',
                disabled: false,
            },
            {
                id: '20',
                label: '紧急',
                text: '紧急',
                value: '20',
                disabled: false,
            },
            {
                id: '30',
                label: '特急',
                text: '特急',
                value: '30',
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'IMWFSTATE',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '拟稿',
                text: '拟稿',
                value: '10',
                disabled: false,
            },
            {
                id: '20',
                label: '审批中',
                text: '审批中',
                value: '20',
                disabled: false,
            },
            {
                id: '30',
                label: '已完成',
                text: '已完成',
                value: '30',
                disabled: false,
            },
            {
                id: '40',
                label: '已取消',
                text: '已取消',
                value: '40',
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'SHFS',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '依次审核',
                text: '依次审核',
                value: '10',
                disabled: false,
            },
            {
                id: '20',
                label: '并发审核',
                text: '并发审核',
                value: '20',
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'CertType',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: 'IDCARD',
                label: '身份证',
                text: '身份证',
                value: 'IDCARD',
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'SDFS',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '10',
                label: '顺序送达',
                text: '顺序送达',
                value: '10',
                disabled: false,
            },
            {
                id: '20',
                label: '并发送达',
                text: '并发送达',
                value: '20',
                disabled: false,
            },
        ]
    }
    ]];
});

